Activity log for bug #963106

Date Who What changed Old value New value Message
2012-03-23 14:01:18 Steven Farmer bug added bug
2012-03-26 18:17:55 Launchpad Janitor network-manager (Ubuntu): status New Confirmed
2012-03-26 18:18:26 Clint Byrum network-manager (Ubuntu): importance Undecided High
2012-03-26 18:18:32 Clint Byrum network-manager (Ubuntu): milestone ubuntu-12.04
2012-03-26 18:18:41 Clint Byrum nominated for series Ubuntu Precise
2012-03-26 18:18:41 Clint Byrum bug task added network-manager (Ubuntu Precise)
2012-03-27 04:19:41 Kate Stewart tags apport-bug i386 precise apport-bug i386 precise rls-mgr-p-tracking
2012-04-05 18:32:27 Mateusz Bielecki bug added subscriber Mateusz Bielecki
2012-04-06 20:45:08 Steven Farmer attachment added DEBUG https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3018629/+files/DEBUG
2012-04-11 20:05:06 Mathieu Trudel-Lapierre network-manager (Ubuntu Precise): assignee Mathieu Trudel-Lapierre (mathieu-tl)
2012-04-12 19:28:15 Mathieu Trudel-Lapierre network-manager (Ubuntu Precise): status Confirmed Incomplete
2012-04-13 07:28:35 sourchier bug added subscriber sourchier
2012-04-23 22:53:09 Mathieu Trudel-Lapierre network-manager (Ubuntu Precise): status Incomplete In Progress
2012-04-24 00:46:19 Launchpad Janitor branch linked lp:~mathieu-tl/network-manager/precise-0sru
2012-04-25 19:02:57 Mathieu Trudel-Lapierre description During system shutdown, NetworkManager neither kills dhclient nor does it remove the dhclient pid file from the directory /var/run/sendsigs.omit.d. As a result, dhclient continues to hold the pid file open for write and when /etc/init.d/umountroot tries to remount the root filesystem read-only, the remount fails. The message: mount: / is busy is seen in the console, and the filesystem must be recovered at boot time: [ 8.946427] EXT4-fs (sda1): INFO: recovery required on readonly filesystem [ 8.947057] EXT4-fs (sda1): write access will be enabled during recovery [ 11.234075] EXT4-fs (sda1): recovery complete If shared libraries used by dhclient are updated before the reboot, orphaned inodes associated with the .so files are created. For example, doing "sudo apt-get install --reinstall libc6" and then rebooting leads to: [ 8.356521] EXT4-fs (sda1): INFO: recovery required on readonly filesystem [ 8.356521] EXT4-fs (sda1): write access will be enabled during recovery [ 8.716544] EXT4-fs (sda1): orphan cleanup on readonly fs [ 8.716544] EXT4-fs (sda1): ext4_orphan_cleanup: deleting unreferenced inode 313749 [ 8.724544] EXT4-fs (sda1): ext4_orphan_cleanup: deleting unreferenced inode 313733 [ 8.724544] EXT4-fs (sda1): ext4_orphan_cleanup: deleting unreferenced inode 313725 [ 8.724544] EXT4-fs (sda1): 3 orphan inodes deleted [ 8.728544] EXT4-fs (sda1): recovery complete This is network-manager 0.9.3.995+git201203152001.04b2a74-0ubuntu1 running under 12.04. I don't believe any actual data loss will occur as a result of this bug, but it's likely to produce much user anxiety. Also see Bug 952315, which misidentifies the cause of the problems as upstart. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: network-manager 0.9.3.995+git201203152001.04b2a74-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12 Uname: Linux 3.2.0-20-generic i686 ApportVersion: 1.95-0ubuntu1 Architecture: i386 CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found. Date: Fri Mar 23 07:42:20 2012 InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111011) IwConfig: lo no wireless extensions. eth0 no wireless extensions. NetworkManager.state: [main] NetworkingEnabled=true WirelessEnabled=true WWANEnabled=true WimaxEnabled=true ProcEnviron: TERM=xterm LANG=en_US.UTF-8 SHELL=/bin/bash RfKill: SourcePackage: network-manager UpgradeStatus: Upgraded to precise on 2012-03-02 (20 days ago) [Impact] On shutdown, dhclient isn't getting reaped by NetworkManager, despite being kept running through sendsigs so as not to disrupt remote filesystems (and their unmounting at shutdown). dhclient may be keeping open files for its lease files, which causes issues when unmounting /var/lib, which contains those lease files. [Development Fix] Remove support for connection assumption, which is meant to bring NetworkManager up to speed with connections that may have already be up during a restart of the daemon. Since we don't actually restart the daemon automatically (and instead suggest a restart of the system after upgrade) and the advantage is minimal compared to the impact on users of this interacting with the shutdown sequence, patch connection assumption out of the NM code and just always take down dhclient when NM stops. [Stable Fix] See above "Development fix". [Test Case] 1) Shut down coputer. 2) In the shutdown process, perhaps as a post-stop script in /etc/init/network-manager, track down open files for the dhclient pid (which should be available from /run/sendsigs.omit.d/network-manager.dhclient{6,}.pid) [Regression Potential] Minimal, only affects bringing NetworkManager up on a restart of the daemon (sudo restart network-manager or /etc/init.d/network-manager restart), which improves on the speed of this operation and avoid resetting the connection if it's already up. --------- During system shutdown, NetworkManager neither kills dhclient nor does it remove the dhclient pid file from the directory /var/run/sendsigs.omit.d. As a result, dhclient continues to hold the pid file open for write and when /etc/init.d/umountroot tries to remount the root filesystem read-only, the remount fails. The message: mount: / is busy is seen in the console, and the filesystem must be recovered at boot time: [ 8.946427] EXT4-fs (sda1): INFO: recovery required on readonly filesystem [ 8.947057] EXT4-fs (sda1): write access will be enabled during recovery [ 11.234075] EXT4-fs (sda1): recovery complete If shared libraries used by dhclient are updated before the reboot, orphaned inodes associated with the .so files are created. For example, doing "sudo apt-get install --reinstall libc6" and then rebooting leads to: [ 8.356521] EXT4-fs (sda1): INFO: recovery required on readonly filesystem [ 8.356521] EXT4-fs (sda1): write access will be enabled during recovery [ 8.716544] EXT4-fs (sda1): orphan cleanup on readonly fs [ 8.716544] EXT4-fs (sda1): ext4_orphan_cleanup: deleting unreferenced inode 313749 [ 8.724544] EXT4-fs (sda1): ext4_orphan_cleanup: deleting unreferenced inode 313733 [ 8.724544] EXT4-fs (sda1): ext4_orphan_cleanup: deleting unreferenced inode 313725 [ 8.724544] EXT4-fs (sda1): 3 orphan inodes deleted [ 8.728544] EXT4-fs (sda1): recovery complete This is network-manager 0.9.3.995+git201203152001.04b2a74-0ubuntu1 running under 12.04. I don't believe any actual data loss will occur as a result of this bug, but it's likely to produce much user anxiety. Also see Bug 952315, which misidentifies the cause of the problems as upstart. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: network-manager 0.9.3.995+git201203152001.04b2a74-0ubuntu1 ProcVersionSignature: Ubuntu 3.2.0-20.32-generic 3.2.12 Uname: Linux 3.2.0-20-generic i686 ApportVersion: 1.95-0ubuntu1 Architecture: i386 CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found. Date: Fri Mar 23 07:42:20 2012 InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111011) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. NetworkManager.state:  [main]  NetworkingEnabled=true  WirelessEnabled=true  WWANEnabled=true  WimaxEnabled=true ProcEnviron:  TERM=xterm  LANG=en_US.UTF-8  SHELL=/bin/bash RfKill: SourcePackage: network-manager UpgradeStatus: Upgraded to precise on 2012-03-02 (20 days ago)
2012-04-25 19:03:22 Mathieu Trudel-Lapierre bug added subscriber Ubuntu Stable Release Updates Team
2012-05-02 08:39:36 Martin Pitt network-manager (Ubuntu Precise): status In Progress Fix Committed
2012-05-02 08:39:39 Martin Pitt bug added subscriber SRU Verification
2012-05-02 08:39:40 Martin Pitt tags apport-bug i386 precise rls-mgr-p-tracking apport-bug i386 precise rls-mgr-p-tracking verification-needed
2012-05-02 14:17:28 Jean-Baptiste Lallement tags apport-bug i386 precise rls-mgr-p-tracking verification-needed apport-bug i386 precise rls-mgr-p-tracking verification-done
2012-05-10 23:59:09 Launchpad Janitor network-manager (Ubuntu): status In Progress Fix Released
2012-05-11 00:01:09 Launchpad Janitor network-manager (Ubuntu Precise): status Fix Committed Fix Released
2012-05-11 12:33:26 Daniel Eckl attachment added screenshot of nm stuff terminating after umount https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3141347/+files/umountroot_fail.jpg
2012-05-11 12:36:12 Daniel Eckl attachment added ps -ef and a lsof -nP just before trying to remount https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3141349/+files/safe.root.debug.txt
2012-05-17 13:56:29 Launchpad Janitor branch linked lp:~network-manager/network-manager/ubuntu
2012-06-12 05:14:41 tuhu attachment added my ps -f and lsof -nP output https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3185857/+files/ps%20-f%20and%20lsof%20-nP%20output.txt
2012-06-13 05:57:29 tuhu attachment added umountroot, ps -ef, & lsof -nP output https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3187427/+files/umountroot%2Cps%20-ef%2C%20%26%20lsof%20-nP%20output.txt
2012-06-14 03:50:16 tuhu attachment added DEBUG file https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3188762/+files/DEBUG
2012-06-18 10:20:45 Daniel Eckl removed subscriber Daniel Eckl
2012-06-19 12:13:23 tuhu attachment added modemmanager.log https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3195946/+files/modemmanager.log
2012-10-21 06:39:12 Daniel Eckl bug added subscriber Daniel Eckl
2012-11-12 21:13:48 John Clark tags apport-bug i386 precise rls-mgr-p-tracking verification-done apport-bug i386 precise quantal rls-mgr-p-tracking verification-done
2012-11-13 11:23:41 Sébastien Escudier bug added subscriber Sébastien Escudier
2012-12-04 09:27:03 René Sitt bug added subscriber René Sitt
2012-12-26 23:15:47 Daniel Eckl attachment added umount-fix.patch https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/963106/+attachment/3468459/+files/umount-fix.patch
2013-01-06 23:30:59 Vince O'Farrell bug added subscriber Vince O'Farrell
2013-01-07 01:55:05 Daniel bug added subscriber Daniel
2013-02-09 12:41:25 Joachim Fischbuch bug added subscriber jofisch
2013-02-21 16:39:36 Feo bug added subscriber Feo
2013-03-04 12:21:30 Marc MAURICE bug added subscriber dooblem
2013-03-04 15:15:00 Mateusz Bielecki removed subscriber Mateusz Bielecki
2013-05-31 04:37:24 John Clark tags apport-bug i386 precise quantal rls-mgr-p-tracking verification-done apport-bug i386 precise quantal raring rls-mgr-p-tracking verification-done
2013-10-27 22:26:46 John Clark tags apport-bug i386 precise quantal raring rls-mgr-p-tracking verification-done apport-bug i386 precise quantal raring rls-mgr-p-tracking saucy verification-done
2014-03-12 18:51:12 Ivan Larionov bug added subscriber Ivan Larionov
2014-04-12 09:48:41 Bernhard bug added subscriber Bernhard